Vector BLF: Vector::BLF::MostEthernetPkt Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::MostEthernetPkt Struct Referencefinal

MOST_ETHERNET_PKT. More...

`#include <MostEthernetPkt.h>`

Inheritance diagram for Vector::BLF::MostEthernetPkt:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | dir {}
| direction: 0: Rx; 1: Tx; 2: TxRequest
uint8_t | reservedMostEthernetPkt1 {}
uint32_t | reservedMostEthernetPkt2 {}
uint64_t | sourceMacAdr {}
| 48 bit source address
uint64_t | destMacAdr {}
| 48 bit target address
uint8_t | transferType {}
| Tranfer Type.
uint8_t | state {}
| transmission status
uint8_t | ackNack {}
| acknowledge code
uint8_t | reservedMostEthernetPkt3 {}
uint32_t | crc {}
| Cyclic Redundancy Check.
uint8_t | pAck {}
| a preemptive acknowledge code
uint8_t | cAck {}
| CRC acknowledge from the packet receiver(s) to the packet transmitter.
uint16_t | reservedMostEthernetPkt4 {}
uint32_t | pktDataLength {}
| length of variable data in bytes (1506 max)
uint64_t | reservedMostEthernetPkt5 {}
std::vector< uint8_t > | pktData {}
| variable data
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_ETHERNET_PKT.

Message on MOST Ethernet Packet Channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostEthernetPkt::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostEthernetPkt::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostEthernetPkt::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ ackNack

uint8_t Vector::BLF::MostEthernetPkt::ackNack {}

acknowledge code

AckNack holds the transmit status of a control message (see Transmit Status Register of OS8104 for MOST25).

- Bit 0: Meaning:
  - 1: no response (NoResp) Restriction:
  - only for Dir = Tx or spy messages
- Bit 1: Meaning:
  - 1: valid receipt (Valid) Restriction:
  - only for Dir = Tx or spy messages
- Bit 2: Meaning:
  - 1: CRC Error (CRCError) Restriction:
  - only for Dir = Tx or spy messages
- Bit 3: Meaning:
  - 1: receive buffer full (RxBufFull) Restriction:
  - only for Dir = Tx or spy messages
- Bit 4: Meaning:
  - 1: acknowledged (Ack) Restriction:
  - only for Dir = Tx or spy messages (always set to 1 for Rx messages in node mode)
- Bit 5: Meaning:
  - 1: negative acknowledge (NAck) Restriction:
  - only for Dir = Tx or spy messages

## ◆ cAck

uint8_t Vector::BLF::MostEthernetPkt::cAck {}

CRC acknowledge from the packet receiver(s) to the packet transmitter.

CRC acknowledge from the packet receiver(s) to the packet transmitter (spy only)

- 0x00: No Response
- 0x01: CRC error
- 0x04: OK

## ◆ channel

uint16_t Vector::BLF::MostEthernetPkt::channel {}

application channel

Application channel

## ◆ crc

uint32_t Vector::BLF::MostEthernetPkt::crc {}

Cyclic Redundancy Check.

Cyclic Redundancy Check

## ◆ destMacAdr

uint64_t Vector::BLF::MostEthernetPkt::destMacAdr {}

48 bit target address

48 bit target address

## ◆ dir

uint8_t Vector::BLF::MostEthernetPkt::dir {}

direction: 0: Rx; 1: Tx; 2: TxRequest

Direction of message events:

- 0: Rx (received)
- 1: Tx (transmit receipt)
- 2: Tx Request (transmit request)

## ◆ pAck

uint8_t Vector::BLF::MostEthernetPkt::pAck {}

a preemptive acknowledge code

Pre-emptive acknowledge code (spy only)

- 0x00: No Response
- 0x01: Buffer full
- 0x04: OK

## ◆ pktData

std::vector<uint8_t> Vector::BLF::MostEthernetPkt::pktData {}

variable data

Variable data

## ◆ pktDataLength

uint32_t Vector::BLF::MostEthernetPkt::pktDataLength {}

length of variable data in bytes (1506 max)

Length of variable data in bytes (1506 max)

## ◆ reservedMostEthernetPkt1

uint8_t Vector::BLF::MostEthernetPkt::reservedMostEthernetPkt1 {}

reserved

## ◆ reservedMostEthernetPkt2

uint32_t Vector::BLF::MostEthernetPkt::reservedMostEthernetPkt2 {}

reserved

## ◆ reservedMostEthernetPkt3

uint8_t Vector::BLF::MostEthernetPkt::reservedMostEthernetPkt3 {}

reserved

## ◆ reservedMostEthernetPkt4

uint16_t Vector::BLF::MostEthernetPkt::reservedMostEthernetPkt4 {}

reserved

## ◆ reservedMostEthernetPkt5

uint64_t Vector::BLF::MostEthernetPkt::reservedMostEthernetPkt5 {}

reserved

## ◆ sourceMacAdr

uint64_t Vector::BLF::MostEthernetPkt::sourceMacAdr {}

48 bit source address

48 bit source address

## ◆ state

uint8_t Vector::BLF::MostEthernetPkt::state {}

transmission status

Transmission states of MOST50/150 messages and packets.

- Bit 0: Meaning:
  - 0: bus inactive
  - 1: bus active Restriction:
  - only for Dir = Rx or mTransferType = Spy
- Bit 4: Meaning:
  - 1: acknowledged (Ack) Restriction
  - only for mTransferType = Node and Dir = Tx (always set to 1 for Rx messages in node mode)
- Bit 5: Meaning:
  - 1: not acknowledged (NAck) Restriction:
  - only for Dir = Tx
- Bit 6: Meaning: Send result:
  - 0: Transmission error (TxF)
  - 1: OK Restriction:
  - only for Dir = Tx
  - only for mTransferType = Node

## ◆ transferType

uint8_t Vector::BLF::MostEthernetPkt::transferType {}

Tranfer Type.

Message-like events can either be recorded through the MOST transceiver chip or through a separate network spy.

- 1: Node MOST transceiver reported the message (either due to a successful reception or as acknowledgment for a transmit request).
- 2: Spy Message was reported by the network spy. The Spy sees all messages independently of the desti-nation address.

The documentation for this struct was generated from the following files:

- MostEthernetPkt.h
- MostEthernetPkt.cpp